/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.financialSupervision.modular.fsSaleRevenue.mapper;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.unis.common.constant.DBConstant;
import com.unis.financialSupervision.modular.fsSaleRevenue.entity.BusinessContractDetail;
import com.unis.financialSupervision.modular.fsSaleRevenue.entity.FsSaleRevenue;
import com.unis.financialSupervision.modular.fsSaleRevenueApprovalPrice.entity.FsSaleRevenueApprovalPrice;
import com.unis.financialSupervision.modular.fsSaleRevenueDiffPrice.entity.FsSaleRevenueDiffPrice;
import com.unis.financialSupervision.modular.fsSaleRevenueInspectionLoss.entity.FsSaleRevenueInspectionLoss;
import com.unis.financialSupervision.modular.fsSaleRevenueSettle.entity.FsSaleRevenueSettle;
import com.unis.financialSupervision.modular.fsSaleRevenueThreeConsistence.entity.FsSaleRevenueThreeConsistence;
import com.unis.financialSupervision.modular.fsSaleRevenueThreeConsistenceAccount.entity.FsSaleRevenueThreeConsistenceAccount;
import com.unis.financialSupervision.modular.priceApproval.entity.DataCPZ;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 销售收入上缴Mapper接口
 *
 * @author QSHan
 * @date 2024/07/29 14:04
 **/
//@DS(DBConstant.DS_DEPOT)
public interface FsSaleRevenueMapper extends BaseMapper<FsSaleRevenue> {
    Page<FsSaleRevenue> pageList(Page<Object> objectPage, @Param("ew") QueryWrapper<FsSaleRevenue> queryWrapper);

    List<BusinessContractDetail> getContractInfoList(@Param("id") Integer id);

    List<FsSaleRevenueThreeConsistenceAccount> getConsistenceAccountDetailsInfo(@Param("id") Integer id);

    List<FsSaleRevenueInspectionLoss> getQualityDetailsInfo(@Param("id") Integer id);

    List<FsSaleRevenueThreeConsistence> getOutStorageDetailsInfo(@Param("id") Integer id);

    List<FsSaleRevenueSettle> getSettlementDetailsInfo(@Param("id") Integer id);

    List<FsSaleRevenueApprovalPrice> getCardDetailsInfo(@Param("id") Integer id);

    List<FsSaleRevenueDiffPrice> getDiffPriceDetailsInfo(@Param("id") Integer id);

    List<DataCPZ> getOutStorageDetailed(@Param("contractNumber") String contractNumber);

    FsSaleRevenue queryEntityById(@Param("id") Integer id);
}
